Name:           g3data
Version:        1.5.3
Release:        12%{?dist}
Summary:        Program for extracting the data from scanned graphs

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.frantz.fi/software/g3data.php
Source0:        http://www.frantz.fi/software/g3data-%{version}.tar.gz
Source1:        g3data.desktop
Source2:        g3data-icon.xpm
Source3:        g3data-icon.svg
Source4:        g3data-icon.png
Patch0:         g3data-Makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel opensp docbook-utils
BuildRequires:  desktop-file-utils

%description
g3data is used for extracting data from graphs. In publications
graphs often are included, but the actual data is missing, g3data
makes this extracting process much easier.

%prep
%setup -q -n g3data-%{version}
%patch0

%build
export CPPFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/man/man1
mkdir -p %{buildroot}/%{_datadir}/pixmaps/%{name}

make \
prefix=%{?buildroot:%{buildroot}}%{_prefix} \
bindir=%{?buildroot:%{buildroot}}%{_bindir} \
datadir=%{?buildroot:%{buildroot}}%{_datadir} \
mandir=%{?buildroot:%{buildroot}}%{_mandir} \
install
chmod a-x %{buildroot}%{_mandir}/man1/g3data.1.gz

cp %{SOURCE2}  %{buildroot}/%{_datadir}/pixmaps/
cp %{SOURCE2}  %{buildroot}/%{_datadir}/pixmaps/%{name}/
cp %{SOURCE3}  %{buildroot}/%{_datadir}/pixmaps/%{name}/
cp %{SOURCE4}  %{buildroot}/%{_datadir}/pixmaps/%{name}/
mkdir -p %{buildroot}/%{_datadir}/applications
desktop-file-install \
  --dir=%{buildroot}/%{_datadir}/applications     \
  %{SOURCE1}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/g3data
%{_mandir}/man1/g3data.1.gz
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}-icon.*
%{_datadir}/applications/*.desktop

%doc README.TEST test1.png test1.values test2.png test2.values gpl.txt

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 08 2013 Jon Ciesla <limburgher@gmail.com> - 1.5.3-9
- Drop desktop vendor tag.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.5.3-5
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Apr 17 2010 Jef Spaleta <jspaleta@fedoraproject.org> - 1.5.3-3
- Add small patch to fix ImplicitDSO linking, bug 565125

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 01 2009 Jef Spaleta <jspaleta@gmail.com>  - 1.5.3-1
- Update to latest release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.1-8
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Jef Spaleta <jspaleta@gmail.com> 1.5.1-7
- Bump for rebuild

* Fri Aug 03 2007 Jef Spaleta <jspaleta@gmail.com> 1.5.1-6
- add GPLv2+ license tag string for updated fedora licensing policy

* Mon Mar 26 2007 Jef Spaleta <jspaleta@gmail.com> 1.5.1-5
- fix unowned directory oops

* Wed Mar 21 2007 Jef Spaleta <jspaleta@gmail.com> 1.5.1-4
- clean up of buildrequires and ensure use of RPM_OPT_FLAGS

* Sun Mar 18 2007 Jef Spaleta <jspaleta@gmail.com> 1.5.1-3
- Minor pixmap location fix
- Updated upstream url locations

* Sat Mar 17 2007 Jef Spaleta <jspaleta@gmail.com> 1.5.1-2
- Added desktop file and icon

* Fri Mar 16 2007 Jef Spaleta <jspaleta@gmail.com> 1.5.1-1
- Initial package meant for submission into Fedora Extras

